rem Build.bat (Build Statistics for MySQL with Microsoft Visual Studio Express 2010)

rem ***********************************************************************
rem   This code is part of Statistics for MySQL.
rem 
rem   Copyright (C) 2011 Heinrich Schuchardt (xypron.glpk@gmx.de)
rem 
rem   Licensed under the Apache License, Version 2.0 (the "License");
rem   you may not use this file except in compliance with the License.
rem   You may obtain a copy of the License at
rem 
rem       http://www.apache.org/licenses/LICENSE-2.0
rem 
rem   Unless required by applicable law or agreed to in writing, software
rem   distributed under the License is distributed on an "AS IS" BASIS,
rem   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
rem   See the License for the specific language governing permissions and
rem   limitations under the License.
rem ***********************************************************************

rem NOTE: Make sure that the following variables specify correct paths.
if exist "C:\Program Files\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" set HOME="C:\Program Files\Microsoft Visual Studio 10.0\VC"
if exist "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" set HOME="C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC"
set MYSQL_SOURCE_DIR=C:\Program Files\MySQL\mysql-5.5.28
if exist "%MYSQL_SOURCE_DIR%\sql\handler.h" goto found_mysql
@echo Please, update path to MYSQL_SOURCE_DIR
goto done
:found_mysql

set INCLUDE=
set LIBS=
set SQLSTAT_OLDPATH=%PATH%
rem del ..\src\*.obj
rem del ..\test\*.obj

call %HOME%\vcvarsall.bat x86
%HOME%\bin\nmake.exe /f Makefile
%HOME%\bin\nmake.exe /f Makefile check

set PATH=%SQLSTAT_OLDPATH%
set SQLSTAT_OLDPATH=

:done
@pause
